<h1 class="container bg-dark text-white text-center my-4 py-4">Taller </h1>
<div class="container">

  <input [(ngModel)]="campo" type="text" placeholder="Ingresa animal">

  <h1 *ngIf="campo === 'perro'">Perro <br>
    <img src="assets/imagenes/perro.jpg" alt="" width="700" height="500">
  </h1>
  <h1 *ngIf="campo === 'gato'">Gato <br>
    <img src="assets/imagenes/gato.jpg" alt="" width="700" height="500">
  </h1>
  <h1 *ngIf="campo !== 'gato' && campo !== 'perro'">NO Válido</h1>

  <input [(ngModel)]="nombre" type="text" placeholder="Animal">
  <button (click)="addNombre()">Añadir</button>

  <table class="table">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Nombre</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let nombre of nombres; let i=index">
        <th scope="row">{{i + 1}}</th>
        <td>{{nombre}}</td>
      </tr>
    </tbody>
  </table>


</div>